import UIKit

extension UIButton {
    
    func setupPullDown(with actions: [UIAction]) {
        showsMenuAsPrimaryAction = true
        changesSelectionAsPrimaryAction = true
        
        actions.first?.state = .on
        
        menu = UIMenu(children: actions)
    }
}
